package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.PracticeGroup;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2020/2/17
 */
public class PracticeGroupBuyDto extends PracticeGroup {

    @ApiModelProperty(value = "是否使用账户余额支付")
    private boolean useBalancePayment;

    private boolean renew;

    private Long groupId;

    private List<PracticeDrillTimeDto> drillTimes;

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public boolean isRenew() {
        return renew;
    }

    public void setRenew(boolean renew) {
        this.renew = renew;
    }

    public boolean isUseBalancePayment() {
        return useBalancePayment;
    }

    public void setUseBalancePayment(boolean useBalancePayment) {
        this.useBalancePayment = useBalancePayment;
    }

    public List<PracticeDrillTimeDto> getDrillTimes() {
        return drillTimes;
    }

    public void setDrillTimes(List<PracticeDrillTimeDto> drillTimes) {
        this.drillTimes = drillTimes;
    }

}
